Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.context
Interface WebServiceSession

Deprecated. please migrate to jws for webservices

    public interface WebServiceSession

The WebServiceSession object maintains state on the server between multiple HTTP invokes of the same Web Service operation from a single client. This class relies on HTTP sessions to maintain state.

When used in a stand-alone client application, this object can be used to main state in the client when invoking a particular Web service multiple times.

Method Summary
`Object` | `getAttribute(String name)` Deprecated. Returns the value of an attribute.
`Iterator` | `getAttributeNames()` Deprecated. Returns the names of all the attributes associated with this session.
`Object` | `getRequest()` Deprecated. Returns the underlying HTTP request.
`Object` | `getUnderlyingSession()` Deprecated. Returns the underlying HTTP session.
`void` | `invalidate()` Deprecated. Invalidates the session.
`void` | `removeAttribute(String name)` Deprecated. Removes the specified attribute.
`void` | `setAttribute(String name, Object value)` Deprecated. Sets the value of the specified attribute.

Method Detail

### getUnderlyingSession

    Object getUnderlyingSession()
                                throws JAXRPCException

  Deprecated.
  Returns the underlying HTTP session.

  Returns:
    HTTP session
  Throws:
    `JAXRPCException` - unable to find session

### getRequest

    Object getRequest()
                      throws JAXRPCException

  Deprecated.
  Returns the underlying HTTP request.

  Returns:
    HTTP request
  Throws:
    `JAXRPCException` - unable to retrieve request

### getAttribute

    Object getAttribute(String name)

  Deprecated.
  Returns the value of an attribute.

  Parameters:
    `name` - name of the attribute
  Returns:
    value of the attribute

### setAttribute

    void setAttribute(String name,
                      Object value)

  Deprecated.
  Sets the value of the specified attribute.

  Parameters:
    `name` - name of the attribute
    `value` - value of the attribute

### getAttributeNames

    Iterator getAttributeNames()

  Deprecated.
  Returns the names of all the attributes associated with this session.

  Returns:

### removeAttribute

    void removeAttribute(String name)

  Deprecated.
  Removes the specified attribute.

  Parameters:
    `name` - name of the attribute to be removed

### invalidate

    void invalidate()

  Deprecated.
  Invalidates the session.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD